Generate Agent in Folder
Generate Agent in Folder — Taskade REST API v1 reference: POST /folders/{folderId}/agent-generate. Parameters, authentication, and response schema.
post
Generate agent based on input text prompts
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
folderIdstringRequired
Body
textstringRequired
Responses
200
Default response
application/json
okboolean · enumRequiredPossible values:
4XX
Error description
application/json
post/folders/{folderId}/agent-generate
POST /api/v1/folders/{folderId}/agent-generate HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 15
{
"text": "text"
}{
"ok": true,
"item": {
"id": "abc123DEF456",
"name": "Sales Pipeline",
"space_id": "abc123DEF456",
"data": {
"commands": [
{
"name": "Sales Pipeline",
"description": "Tracks deals from lead to close.",
"prompt": "Summarize the latest updates in this project.",
"id": "abc123DEF456",
"mode": "default"
}
],
"description": "Tracks deals from lead to close.",
"tone": "authoritative",
"avatar": {
"type": "emoji",
"data": {
"value": "example"
}
},
"knowledgeEnabled": true,
"language": "en",
"inputPlaceholder": "example"
}
}
}Last updated
Was this helpful?